Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Termination.RecCheck

Synopsis

- recursive :: [QName] -> TCM Bool
- anyDefs :: GetDefs a => [QName] -> a -> TCM [QName]

# Documentation

recursive :: [QName] -> TCM Bool #

anyDefs :: GetDefs a => [QName] -> a -> TCM [QName] #

`anysDef names a` returns all definitions from `names` that are used in `a`.